Introduction

Hirthammer SBS Operating Log NG

Help Hirthammer SBS Operating Log NG

Thank you for choosing Hirthammer SBS Operating Log NG.

You have chosen an advanced program that was created with the latest programming tools. The software is constantly evolving. All customer requests and changes will immediately be integrated as far as possible. Usually you receive these changes free on our website.

There we have set up a separate area for our customers. In this section you can download the latest program files.

Structure of the Operating Log

The construction and appearance of the Hirthammer SBS Operating Log was created in such a way, that it can be operated by anyone, regardless of computer skills. It has many advantages and carries out many tedious and repetitive work.

The Operating Log has been consistently programmed variably. That means there are no fixed structures and you will have the opportunity to add, rename and delete columns (parameters), or assign them to other categories.

Each column can be offset against another column.

You always have access to data from any month or year.

If the Operating Log starts, you see an ICON bar, which allows you to choose the individual program modules.

Your data will be stored automatically and safely in a MS-Access database immediately after the input.


Activating Demo Version

Thank you for testing Hirthammer SBS Operating Log NG.

You have the option to select one of the following Operating Logs for testing purposes.

  • Operating Log for sewage plants
  • Operating Log for ponds and small sewage plants
  • Operating Log for water works
  • Operating Log for industrial plants
  • Maintenance file (Standalone program)

  • Then click [Start]
  • After restarting your Operating Log the installation is complete.

Information on the trial version

The demo version can be used for 30 days as a full version without any limitations.
After the trial period, no more entries can be made. However, the previously entered data is stored.

With the license key (activation number) that you receive from Hirthammer, you can always unlock the trial version to a full version.
Alternatively, you can receive a pre-configured database especially tailored to your facility from us. Please contact us in this case.

Activation: Please see chapter Licensing.

DWA (Hirthammerverlag)
German Association for Water, Wastewater and Waste e.V.
Theodor-Heuss-Allee 17
D-53773 Hennef Germany

Phone.: + 49 2242 872-333
Fax:+ 49 2242 872-100
eMail: info@dwa.de
Internet: www.dwa.de

Thanks again for your interest!


Quick Start

Note:
In some modules, you can see this button.
Clicking this button opens the Preferences for the module.

Entering data in the monthly report

  • Double-click a cell in the monthly report in which you want to enter data.
    Alternatively, you can also select the cell, and then press Enter.
    • The entry box appears.
    • Enter your data.
    • Confirm with Enter.

Note:
The Operating Log saves your entries in the monthly report automatically when you press Enter.


Contact

Distribution, Licensing

DWA

DWA (Hirthammerverlag)
German Association for Water, Wastewater and Waste e.V
Theodor-Heuss-Allee 17
53773 Hennef

Phone.: + 49 2242 872-333
Fax:+ 49 2242 872-100

eMail: info@dwa.de
Internet: www.dwa.de

Technical support and hotline, software development, service

SBS Datentechnik

Mr. Schoepplein
Rueckertstr. 19
D-97483 Eltmann

Service-Phone: +49 1511 789 6234
Phone: +49 9522-3768845
Fax: +49 9522-3768038

EMail: kontakt@sbs-datentechnik.de
Internet: http://www.sbs-datentechnik.de


Licensing

Licensing requirements

The use of the software requires a license.

A separate license for each Operating Log is required. The operation of the software as a full version without a license infringes copyright.

By using multiple licenses, for example, for sewage plants and pond plants, the main license applies for sewage plants and the sub-licenses for additional sewage plants or ponds.

Annual licenses have a minimum duration of three years and can then be terminated until 3 month of the end of the year.

Licensing the Operation Log:

  • Click on the icon [Settings] in the main menu bar.
  • Click on the TAB [Licensing]
  • In the blue box you can see your serial number. It is valid only on this computer.
  • Please convey this serial number to the DWA.
    The DWA will transmit the activation code for your ordered software version immediately.

Apply License.

  • Click on the icon [Settings] in the main menu bar.
  • Click on the TAB [Licensing]
  • Click [New]
  • Enter a brief but accurate name in the dialog.
  • Click OK to confirm
  • Now enter your registration number in [section 2].
  • Click [3. Activate license]

Now you have to connect a database of this license.

  • A dialog will appear automatically.
  • Here you can select YES or NO.
  • Click [Yes] if you want to use the demo database as a full version now.
  • Then click on [5. Link Operating Log with database]

or

  • Alternatively, click [No] if you want to use another database in the full version.
  • This can be, for example, a database provided by DWA.
    (This database should be available in the Operating Log folder.)
  • Click the folder button to open the file dialog.
  • Find the database that you received from us.
  • Usually it can be found in the program folder.
  • The path to this database is now available in the Path box.
  • Then click on [5. Link Operating Log with database]

Additional licenses

  • If you have purchased additional licenses, please repeat the process as described above.
  • At the point - Dialogue Yes / No:
    - 'Connect database with the license' please select [YES] if you want to continue using the database of the demo version.
    - Otherwise, click [No] to use your own database.

Note on Trial:
The trial of the full version is 30 days. Then no more entries are stored.


Tips and Tricks

Move in Mothly Report

To navigate through the quite large tables or move the cursor some facilities were installed.

  • If you quickly want to jump to a particular column, click once in the Monthly Bulletin table.
  • Enter a part of the sought parameter name with the keyboard.
  • Scroll through the monthly report by dragging the scroll bars of the window with the mouse.
  • Alternatively, you can move the sheet with the mouse in the displacement mode. Click with the left mouse button once in the mothly report.
    Then hold the mouse button. Move the sheet now in any direction.
  • Move the cursor by pressing the arrow keys on the keyboard.
  • Click on the corresponding navigation arrows in the left pane.
    This shifts the monthly report by exactly one page.
  • Hold down the CTRL key while turning the mouse wheel.

Show information for a parameter:

  • Click on a column in the monthly report.
  • The information entered in the [Module Settings] and [TAB General] will be displayed in Info window in the bottom left corner.


Disclaimer

We do everything to offer you a software that simplifies your daily work and prevents unnecessary extra work. For us, the security of your data is just as important as a simple use and handling of the program. All programs or program components have been thoroughly tested. Errors and deficiencies have been corrected. Many installations demonstrate the smooth operation of our software.

The setup program installs the software files in the Windows operating system and an installation folder. The installation files are mostly tested, and certified original files from Windows. In addition files of SBS Datentechnik (your application) will be installed as well. Whether your Windows system meets all requirements for the operation of the Software can not be tested or guaranteed.

>> The software should therefore not be installed on computers or servers that carry sensitive software such as process control systems or unrecoverable software or data files, data sensitive applications and alike, and if data recovery is difficult or impossible or would produce costs. If you install the software anyway, you do so at your own risk. <<

Any liability or claims for damages incurred or caused by the installation of software and its operation are therefore excluded.


Basic Settings

Please select a topic ...


Options, Basic settings

Module settings, TABs
Here you can make general basic settings.

TAB Generally

  • Please enter the general data of your system.

TAB Reports

  • Put a check mark for [Position input field automatically at the top the table and the next line].
    Thus, the input field of the reports is jumping back to the beginning of a line if you have arrived at the last column.
    This function is useful, for example, to enter several days in the monthly report lateron.
  • [When opening the operation log, the last active report is automatically reloaded].
    - Set the hook.
    - Set a hook at [Auto Start] in the Module [Reports].
    On the next reboot of the operating log the report last displayed is automatically reloaded.

Tracking of changes

  • >> The operating log is a document, and accordingly, the legal requirements must be complied with in this regard. Any subsequent change must be documented in the operating log. It must be possible to recognize afterwards, which values have been changed and which person has made these changes. <<
  • Therefore, the Operating Log shall record all subsequent changes in the official monthly report. These changes can be printed and attached to the monthly report.
  • Click [show changes] to be see what changes you have made in the monthly report.
  • Changes from the current day and changes of empty cells are not displayed.

TAB Password protection

  • You can protect the access to the Operating Log with a password.
  • Enter the name of a person in the field [Person], enter the password and select the authorization level (administrator or user).
  • An administrator has all the rights. He can set up the Operating Log, change columns, etc.
  • A user can only make entries in the Operating Log. It is not possible to change settings.
  • Once at least 1 person is registered, a dialog to enter password appears at startup.
    Then select one person. This person will be assigned to current entries and changes that are made in the Operating Log.

Master password:
When a master password is assigned to a person, only that person has access to the Operating Log. All other persons are blocked.
You can only regain access to the operating log, if the person and the master password has been deleted.

Please remember the password well!
If you have forgotten your password, you can not open the operating log anymore.
In this case, you can ask us for a master password. However, this is only possible with a written request by the plant operator, signed and stamped.


Set up parameters and categories

Module settings, TAB Setting

Here you can create, delete, rename and configure parameters (= columns) or categories (= main title)

Basics

Left main table: Categories with parameters

  • On the left side all categories are listed with the containing parameters in the parameter tree.

  • Click on the PLUS [+] to unfold the category.

  • You can change the order of the parameters in this table.
    Highlighting the required parameter. Then click on one of the buttons with the blue arrow.
    These buttons can be found above the table. This allows you to move the parameter up or down.

Search box (parameter filter)

  • You can find the search box above the parameter tree.
    Would you like to e.g. view all flow parameters, enter 'flow' in the search box.
    Then, all parameters are displayed that match this search criteria.

These buttons can
create, modify, delete and move parameters and categories.

Category (= main title).

  • New
    A category is a container in which parameters are stored.
    To create a new category, click [New]
    Enter a short and unique name for the category.
    Note: The category can be displayed only if at least 1 parameter is stored in it.
    A category name can be assigned only once. → Save
  • Rename
    Select a category.
    Click on [Rename]
    Enter a different name for the category.
  • Delete
    Select a category.
    Click [Delete]
    Attention: All stored parameter and their data will be deleted!
    A restoration of the data is not possible.

Parameter (= column).

  • New
    A parameter (= column in the monthly report) may be applied only in one category.
    First select a category.
    Click [New]
    Enter a short and unique name for the parameter.
    Note: A parameter name can be assigned only once. → Save

  • Rename
    Select a category from the selection box.
    Then select the parameter from the selection box.
    Click [Rename]
    Enter a different name for the parameter.
  • Delete
    Select a category from the selection box.
    Then select the parameter from the selection box.
    Click [Delete]

    Note: If the parameter is deleted, it is also deleted from the database.
    All data stored in there is also deleted.
    A restoration of the data is not possible.
  • Move
    Select a category from the selection box.
    To move the parameters to a different category, select the parameter from the selection box.
    Click [Assign other category]
    Then click the new category on the left.
  • Adjust and configure parameters.
    Now you can set up the parameters created.
    Select the parameters from the list on the left.
    Set the parameters based on the tabs (bottom right).
  • Parameter settings copy / paste
    If you want to copy settings from one parameter to another parameter, select the parameter whose settings you want to copy.
    Click 'Copy' (lower left of the parameter tree)
    Now select the parameter you want to take over the settings.
    Click 'Insert'
    The parameter settings of the copied parameter are now assigned.
    Note: Formulas and assignments are not copied.

Set parameters

The lower right corner contains tabs for setting a parameter.
The settings of the marked parameter are shown.
You can then configure this parameter.

TAB Generally

  • Default Value:
    When entering data in the monthly report the input field is filled with this value.
    Note: When using [default value is last value] this box must be left empty.
  • The default value is the last value:
    When entering data in the monthly report the input field is already filled with the last used value. For example, the value you have entered the day before.
    Note: The input field [set default value] must be empty.
  • Decimals:
    The parameter is shown with such accuracy.
  • Markings:
    When entering data, the value in the box is marked beginning from the right.
    (e.g. marking = 4, marks autom. the last 4 characters).
    W    hen entering data in the monthly report, you can use the 'ALT' key to extend the default label.
    Use this function for large numbers. You then only need to enter the last characters (which have changed) and not always the whole number.
  • Range of values min / max:
    Input values that are above or below the limit of values will not be accepted.
  • Limit min / max: (authorized limit)
    Input values that are above or below the range of values are shown in different colors.
  • Limit max at TW: (authorized limit)
    Input values that exceed the range of values for weather key 1 or 2 is shown in color.
  • Dimension:
    Enter the unit for the parameter, or select it from the drop box.
  • Type of Data: (Important setting)
    Number = a numeric value
    These values have to be calculated. Therefore, only numbers and decimal permitted. (0-9 and , )
    • Counter = e.g. the reading of operational hours.
      These values have to be calculated. Therefore, only numbers are allowed.
    • New counter
      Enter the new counter value.
      For the first time only, you have to calculate or estimate the counter difference and enter it in the grey box.
      For the next input of the counter reading everything works normally again.
    • Text:
      Any entries possible.
    • Time:
      Enter the time in the following format: hh:mm. e.g. (14:30)
      The operating log internally converts date / time data in a decimal number. This can then be calculated.

      Examples: time entries are reformatted
    • Input -> Converted Edition
      7.5 -> 07:05
      7.30 -> 07:30
      7:30 -> 7:30
      7 -> 07:00
  • Parameter assignment: (Important setting)

    Since you can assign parameter names freely, the program needs to know what parameter has been named how. e.g. Inflow CSB. Without the appropriate assignment, the program can not calculate correctly.
    You must assign the parameters defined by his name.

Example:
In order to perform a load calculation, the parameter "Dailys_wastewater_inflow_m3 / d" and the parameter "Influent_BOD5" is required.

  • Create assignment:
    - Select the parameters in the left parameter tree.
    - Select the correct Assignment from the menu [Parameter Assignment].

    Note: An assignment can only be used once.
    Exception: Parameter 'Comments' can be assigned more than once.

  • Notes to parameters:
    Enter notes about the parameters.
    In the monthly report they are displayed in the info box in the LOWER LEFT corner again when you click in the appropriate parameters.

TAB Formulas:

  • First, select the parameter (column) from the left list, which is to receive the result of the calculation.
  • Choose the required calculation from the selection box.
  • After the selection various fields appear.
    You can see in the title of these fields which parameters are required for this calculation.
  • Select the required parameters for the calculation from the list.

Note:

  • Calculated columns are displayed grey in the monthly report.
  • The Operating Log NG automatically calculates results using the formulas created and inserts them into the columns selected for it.
  • The operating log only calculates the selected cell in which the cursor is positioned and the input field is visible.
  • Further cells dependent on these are not included in the calculation (updated). You must manually change these.
    Simply double-click in the dependent grey cell. The correct value is then calculated and displayed immediately. Press the Enter key and the value is stored.

TAB Reports:

  • Here you can configure global settings for the daily reports, monthly reports or annual reports.
  • You can create as many reports as requested in the module [Reports].
    In each report, the parameter setting is the same as set here.

Daily Report:

In the report of the day, you can enter more than one measurements of the day. If you want to transfer values to the monthly report, you have to set the respective setting in the transfer filter.

Monthly Report:

Mark TW values in different colors:
TW values are highlighted in yellow.

Show overruns:
Overruns are highlighted in red.

Perform calculation ONLY at TW:
Calculation is performed only if the weather key is 1 or 2. Otherwise the calculation field remains (formula column grey) empty.

Calculate sum
Set a hook, if determining the sum of the parameters is useful.
Turn off the hook, for example, at temperature columns etc.

Annual Reports:

Which calculations are to be displayed in the annual report can be selected in the selection fields.
Each hook is shown as a separate column in the annual report.

Selection field 'efficiency '
This function determines the degradation rate in % of parameters.
Click on the selection box, and then select the 'counter parameter'.

When finished click on [Save Settings]


Printing

Print:

  • On the main ICON bar, click the printer icon.
  • Always the active module or document is printed.
  • The Print dialog appears.
  • You can now set the printer, paper size, orientation, etc.
  • for the active module.
  • Click the Save Settings button to save the print settings permanently.

Print settings for the reports:

  • You can determine which parameters are to be printed on a page.
  • You can adjust the column width and row height as requested.

How it's done.

  • Select a report.
  • Click Change Report
  • On the right all parameters are listed that are displayed in the report.
    You can see the category, the parameters and the printed page.
  • The printed page is by default set to 'Auto' (Automatic).

    Thus, the Operating Log will set the best column width and number of columns per page automatically.
  • Would you like to have certain parameters on a page or rearrange them you can set this here.
  • Mark all parameters to be printed on page 1.

  • Choose [Page 1] from the drop-down menu [Print page]
  • Now select all parameters to be printed on page 2.
    Choose [Page 2] from the drop-down menu [Print page]
  • Now select all parameters to be printed on page 3
    Choose [Page 3] from the drop-down menu [Print page]
    and so on.

Please note.
The printed pages must be contiguous, ranked from top to bottom.
(Starting from page 1, then page 2, then page 3, etc.)

If necessary, you can move the parameter within the list using the arrow buttons.

When finished, click Save.

Printing with preview and settings:

The monthly report is printed on the selected printer.

The operating log calculates the number of columns that fit on one page automatically.
If you want to have the columns wider or narrower, you can adjust the column width with the
Buttons [ - ] or [ + ]

To print a report on a single long sheet of paper is also possible.
In this case select in the print dialog for paper size [Printer Default].
The prerequisite for this is that the correct paper size is set in the printer settings in the Windows Control Panel.

Tip:
If necessary, you can install the printer driver in the Control Panel a second time. Then you have a printer for normal A4 expression, and the other printer for printing the long sheets.

  • Click Preview / Print.
  • The report or the active module is displayed in the print preview as it is printed later.
  • You can now print your document.

PDF document

  • Alternatively, you can click on the 'PDF' button to output the print preview as a read-only PDF file.

Your logo on the printout

  • If you want, you can add your LOGO on the printout.
  • Copy a small image file with your logo into the Operating Log folder.
    The logo image should be no larger than 200 x 200 pixels.

    This file must be named
    'Logo.jpg'.
  • If the file exists in the folder, the logo appears on the printouts.
    If not, then the printouts remain without logo.
  • Please note that the LOGO image is set to a width of 200 pixels, the height is proportional to the width. The LOGO image is therefore not distorted.


Data Backup

Please note:

Backing up the database is very important and should be done regularly.
All of your input data and all program settings are stored together in this database.

As a default, this database is in the program folder and has the file extension * .mdb.
The file name is different depending on the version.

Note: The database name always begins with the word 'database_' followed by the name of the plant.

If the database is deleted, all your data will be lost. If you have done a backup, you can simply copy the database back into the program folder and have a fully functional Operating Log with all data and settings.

Backup, how it works ...

  • Click in the module [Settings] on the TAB [Database Service]
  • Click [Backup Database]
    You can now save the database of the operating log on any media such as USB flash drive or external hard drive or simply back up just in a different backup folder.
  • Automatic backup:
    The Operating Log NG automatically backs up your database once a day in the BACKUP folder. This folder can be found in the program folder.
    You can see the date of the backup in the database file name.
    If you ever have problems with your database, you can access a fully functional database from the backup folder.
  • Delete old backup files
    Therefore, after some time, many backup files accumulate in the backup folder.
    Delete some older databases from time to time to free disk space.
    Click on [Delete old backup database files]


Export Data

Exporting data from the reports

You can export any data from the daily report, monthly report and annual report.
This data can then be used in other programs.

  • Mark the area of the report you wish to export by dragging a marking field with the mouse.
  • Click on this marked area with the right mouse button.
  • You will see a pop-up menu, which offers you all export opportunities.
  • Click on an item in the menu.

  • Delete selection: Deletes the selected area.

  • Copy selection: Copies the selected items to the clipboard.
  • Copy report: Copies the entire report.
    You can simply paste the copied data into any spreadsheet then.
  • Export report as XML or CSV file.
    There will be a dialog, in which you can specify the file name and location.


Database Service

The database is the heart of your operating log.

  • All of your data and all program settings are stored together in this database.
  • By default, this database can be found in the program folder and has the file extension * .mdb (file name is different depending on the version).
  • If your database is deleted, all your data will be lost.

Therefore, the Operating Log NG offers some features that protect your database.

  • Backup Database
    This function backs up your database on your disk.
  • Update Database
    With this function, you can update or repair your database after possible errors.
  • Compress Database.
    Compressing a database will reduce the file size.
  • Delete old backup database files
    The automatic daily backup of your database produces many useless database files in the backup folder in the course of time.
    With this function you can delete old, unused files.


Assignment - Module Settings

What is an assignment?

Since you can give a name to each parameter, you need to tell the program what role these parameters play.

  • Critical parameters require an assignment to enable the program to perform various calculations and evaluations.
    These are, for example, the amount of inflow, the weather keys, etc.
  • A ready-made list of all the parameters required is available.
  • From this list, you can select an entry and assign it to the appropriate parameter. This list is available in the module [Settings --> TAB Setup --> TAB General]

Create assignment:

  • Mark the parameter in the left parameter tree.
  • Select the appropriate assignment from the list.

Note: An assignment can only be used once.
Exception: The parameter 'Comments' can be assigned more than once.


Network

You can simultaneously work on the Operating Log on different PCs that are connected via network.

Prerequisite: You have to use a common database within the network.

Establish Network:

  • The Operating Log is compatible to networks.
  • Each Operating Log (license) must be installed and licensed on every PC.
  • The central Operating Log database, an MS-Access database
    (File extension * .mdb) must be saved cetrally (e.g. on a server or on a NAS - drive) and must be available for each network computer.
  • This database folder must be shared and needs to have full read and write access.

Settings

  • Start an operating log that needs to have access to the network database.
  • Click [Settings, Licensing]
  • Select a license.

  • Type in the path to the database, or click the folder icon to browse the database.
  • Here, the database must now be selected in the network folder.
  • Alternatively, the same IP address can be entered.
  • e.g. //192.168.112/Database_XY.mdb

  • This process must be performed for all operating log licenses that have to have access to the network database.
  • Each operating log can access only ONE (his) database.

Note:
If several users want to make entries in the network database at the same time, the changes are only visible after updating.
(To do this, reload the monthly report or the module.)


Logbook

The logbook provides you with the opportunity to document all incidents and special features.
You can easily find old entries using the filter function.

  • Set the date,
  • enter your text, then
  • click [Save]

In the box in the bottom left conrner of the monthly report you can enter and save text.
It will then be shown in the logbook.


Task Scheduler

With the Task Scheduler you can manage appointments, tasks and enter To-Do Lists.

Structure

  • All entries are arranged in a table starting with the entry that is due first.
    Expired appointments, as well as the upcoming due dates are therefore shown at the top.
  • The days left to reach the appointment are represented with a colored bar.
    Thus you see which dates will soon be due at one glance.
  • If the hook [set year filter] is enabled, only entries from the same year as in the date selection box are displayed.
  • Using the search function, you can filter entries.

Entering a task / appointment

  • Select your date and time.
  • Select the required appointment repetition from the list.

Possible repetitions:

N = None
T = daily
W = weekly
M = monthly
V = quarterly
H = half-yearly
J = annually
Z = 2 years

  • Type your text / object into the text box.
  • Click [Save].
  • The appointment will be sorted in the list.

Mark task / appointment as 'Completed'.

  • Select the desired date in the list.
  • Click on [Completed], or double-click on the entry.
  • Click [OK]
  • The selected entry will disappear from the list.
  • If a repeated appointment is marked as 'Completed', the date is automatically created NEW with the new date and sorted into the list.

Show Completed Tasks / Appointments

  • Activate [List completed events] in 'Display Settings'.
  • Only 'completed' tasks/appointment are displayed.

Print

  • Click on the printer icon to print the currently displayed list.


Maintenance tab

Link: Basic Settings, Master Data, manufacturer data, work instructions, maintenance tab, Priority

One often faces the problem, to not forget maintenance of machines that require certain tasks, such as oil changes, lubrication, maintenance intervals, etc..

The Maintenance tab helps!

Maintenance intervals can be due after operating hours (h) and / or after a certain time. The Maintenance tab uses the maintenance event which occurs first.

  • If a maintenance interval has expired, the maintenance tab shows this machine (parameters) in the overview.
  • The maintenance periods or maintenance intervals required are set in the master data.
    You must first create and configure the master data for each parameter in the maintenance file.
    Click on this button.
  • Here you can enter all data for the machine, such as type, specifications, customer service address, materials or special features which must be observed.
  • If a maintenance event occurs, the machine is displayed in an overview (red mark).
  • After the customer service is done at this machine, select the machine from the list (click) and enter the maintenance performed. If all the information has been entered before in the master data, the maintenance tab is already preset.
  • You only must confirm with a mouse click. At the same time all time or oh intervals are reset and the maintenance cycle begins again.

Basic settings Maintenance tab (master data)

Click this button
This setting window appears.

TAB master data

Entry field 'Machinery and maintenance work'

  • Select an item from the list on the left, which you want to add to the maintenance tab.
  • Click on this button to enter the parameter to the list.
  • Enter the machine part and the necessary maintenance task into the box 'Machinery and maintenance work '. (A possible entry is e.g. gears, oil change, oil SAE 15-W40 2.5 liter)
  • You can activate 3 maschine parts per parameter (machine).

Entry field 'days'

  • Enter the maintenance interval, for example, 100 (for 100 days).
    The program will then prompt you automatically to perform maintenance on this machine part every 100 days.

Entry field 'h' (operational hours)

  • Enter the maintenance interval, for example, 3000 (for 3000 oh).
    The program will then prompt you automatically to perform maintenance on this machine part after 3000 operating hours.

Important note:
Best only choose parameter where 'h' are counted.
The Maintenance tab sums up all new oh from the start of the maintenance interval. If this sum is then equal to the level of the one in the master data, then this machine is displayed in the Maintenance tab overview.

Note: You must specify at least one maintenance date (day or oh). Of course you can also use both maintenance options. Then enter a value in both the boxes 'days 'and 'oh'. The program automatically uses the maintenance event which occurs earlier.

TAB manufacturer data

Enter all required contact information of the manufacturer.

TAB work instruction

Hand out the work instruction to maintenance personnel by printing the parameter.

Thus enter:

  • necessary work,
  • security level
  • required material
  • tool requirements

TAB Maintenance tab

All parameters (machines) are displayed which soon require maintenance.
You can set the period when a machine is to appear in the list above the table.

Show only parameter which are due in less than ....

  • Enter how many days, oh or hours before the actual maintenance the machine is to be displayed in the box.

Show all parameters

  • Place a check mark to display all machines that are activated in the maintenance tab.

Priority

A priority is assigned to each parameter. You can see the assigned priority by different colors and numbers. The priority can be found in the left column of the table.

1 Status = 1 red for machines whose maintenance interval has expired

2 Status = 2 yellow for machines whose maintenance interval has not been activated yet.

3 Status = 3 Green for machines whose maintenance interval running.

Status = 1

  • This machine requires maintenance. Once the service has been performed, you must restart the service interval.
  • To do this, select the machine from the list by clicking it.
  • The input fields maintenance work, personnell and comments are defaulted from the master data and can be changed at any time.
  • Set the maintenance date.
  • Click the button [Start new service interval].
  • Maintenance is saved under the parameter name and the maintenance interval starts.

Status = 2

  • The maintenance interval for this machine has not been started yet.
  • As long as the maintenance interval has not been started it is not running. All settings are taken from the master data but they do not change.

Status = 3

  • The maintenance interval for this machine is running.


Disturbances
(Faults)

Hirthammer SBS Operating Log NG

In the Faults section, you can document all faults and the action taken. With this information you have proof that the fault has occurred and what action you have taken to correct this problem.

These faults are easy to recall lateron. After some time you will have built a useful database on details of any faults.

You can, for example, easily select a single machine and determine which faults and defects have occurred on this machine over and how they were resolved.

Enter fault:

  • Select the parameter from the list on the left.
  • Click the button [image] to transfer the parameter to the field [parameter on fault].
  • In this entry field it is also possible to enter any for example, to enter a parameter that is not in the parameter list.
  • Enter a meaningful short description of the problem in the field [Brief description of the problem].
  • In the large box [measures ...] enter your work and measures, which you have done to troubleshoot the problem.
  • Click Save.
  • The fault is now displayed in the fault list.

Enter additional measure

  • To enter a second measure for this fault, click on [Load].
    Then, the parameter and the short description is reloaded.
  • In the field [measures ...] you can now enter the other measures.
  • Click Save.

Search for a fault

  • Enter a keyword in the search box. The database is then searched for this keyword. The list will then only display faults that match the searched keyword.

Monteur

  • Enter the name of the person who worked on the fault.


Graphical Evaluation

The graphics module provides all the data of the individual parameters in a graphical way.
A maximum of 5 parameters are displayed simultaneously.

Settings:

Section Chart Type

  • Chart Type
    Select the desired chart type from the list. Several lines, surfaces and bar charts are available.
  • Logarithmic
    To view large and small values simultaneously in the diagram, you can use the logarithmic display.
  • 3D
    Changes into 3D view.
  • Zebra
    The background grid is coloured to increase clarity.
  • 0 = last value
    Zero-values are suppressed and instead the last value is used.
  • Show Values.
    Displays the measured values as numbers in the chart.
  • Color
    You can set different color styles here.
  • %
    With this function you can, for example, show the 85% value. The value is represented as a line, this function only works for an activated parameter.
  • GA = Floating Average
    Here you can set the floating average into the graphic.
    If 30 is set, the value is calculated of the 30 available measurements.
    This function only works for 1 activated parameter.
  • Average
    Draws the average of all the parameters shown in the chart as a line.

Section Evaluation Period

  • Select month or year.
    If year is selected you can use a zoom function, which allows you to display a period of one month in a floating average.
    Move the slider to go through the year.
  • Comparison.
    You can, for example, compare data from the previous year with the data from the current year.

Print graphics

  • Click on the printer icon. The print dialog appears.
  • Here you can select your printer.
  • The diagram is shown in the print preview and can then be printed.
  • Use a color printer for a clear output.


Modul reports

Please select a topic ...


Daily report

The daily report allows you to enter more data for a parameter per day
e.g. a series of measurements

Create new daily report

  • Click on [image] to load the 'report creation window'.
  • Choose from the left parameter-list the required parameters.
    Note: The general properties of the parameters are set in the
    module     [Settings, Setup].

Tip!
Hold down the Shift or Ctrl key, to multiple select parameters.

  • Click on this [image] button to copy the parameters to the right list.
  • Each parameter in the right report list also appears in the daily report.
  • Change the order of the parameters by selecting one or more parameters and then click one of this [image] button.
  • Finally enter a short descriptive name for the report
    Click [Save]

Change daily report
  • Click [image] to open the selected report.
    Here, in the right window, you can add parameters, remove or change their order.

    Note:         It does not delete data by changing the report, it only changes the report form.
  • Click [Save]

Delete daily report
  • Click [image] to delete the selected report.

    Note: It does not delete data by changing the report, but it only delete the report form.

Entering data in your daily report:
  • Click left on a date.
    The daily report is now loaded and displayed
  • Double click in the time column (or Enter) to enter the current time.
    You can change them as needed.
  • Confirm by pressing the [Enter] key.
  • Double click to enter data into a cell (or Enter).
  • Note: The time will be saved only, if at least one value was entered for a parameter.
Evaluation:
  • Below the list you will see the evaluation area.
  • For all the daily values is calculated:
    The minimum, average, and maximum values, as well as the number of values.
  • The sum is only calculated, if in module [Settings], [TAB Setting] on [TAB Reports] [Calculate sum] a checkmark is set.
  • Here, you can also adjust the takeover filter in the section 'daily reports'.
  • Choose from the pulldown-box, the desired entry (Sum, Min, Medium, Maximum value).
  • The takeover filter determines which value should be taken from all days readings in the monthly report.
  • The daily value is then calculated in the daily report, and displayed on the last row.
  • Click [image] button. Thus, the current values of all parameters are transferred in the monthly report.
  • If a value is already stored in the monthly report, a message will appear.
  • Checkbox 'All'
    If the hook is enabled, all daily values (without call back) be transferred to the monthly report.


Monthly report

Entering data in the month report

Double-click a cell in the monthly report in which you want to enter data.
Alternatively, you can also select the cell, and then press Enter.

  • The entry box appears.
  • Enter your data.
  • Confirm with Enter.

Create a new Monthly Report

  • Click on [image] to load the 'report creation window'.
  • Choose from the left parameter-list the required parameters.
    Note: The general properties of the parameters are set in the
    module     [Settings, Setup].

Tip!
Hold down the Shift or Ctrl key, to multiple select parameters.

  • Click on this [image] button to copy the parameters to the right list.
  • Each parameter in the right report list also appears in the Monthly report.
  • Change the order of the parameters by selecting one or more parameters and then click one of this [image] button.
  • Finally enter a short descriptive name for the report
    Click [Save]

Change Monthly Report

  • Click [image] to open the selected report.
    Here, in the right window, you can add parameters, remove or change their order.

    Note:         It does not delete data by changing the report, it only changes the report form.
  • Click [Save]

Delete Monthly Report
  • Click [image] to delete the selected report.

    Note: It does not delete data by changing the report, but it only delete the report form.

Entering data in Monthly Report:
  • Click left on a date.
    The daily report is now loaded and displayed
  • Double click in the time column (or Enter) to enter the current time.
    You can change them as needed.
  • Confirm by pressing the [Enter] key.
  • Double click to enter data into a cell (or Enter).
  • Note: The time will be saved only, if at least one value was entered for a parameter.

To navigate through the quite large tables or move the cursor some facilities were installed.

  • If you quickly want to jump to a particular column, click once in the Monthly Bulletin table.
  • Enter a part of the sought parameter name with the keyboard.
  • Scroll through the monthly report by dragging the scroll bars of the window with the mouse.
  • Alternatively, you can move the sheet with the mouse in the displacement mode. Click with the left mouse button once in the mothly report.
    Then hold the mouse button. Move the sheet now in any direction.
  • Move the cursor by pressing the arrow keys on the keyboard.
  • Click on the corresponding navigation arrows in the left pane.
    This shifts the monthly report by exactly one page.
  • Hold down the CTRL key while turning the mouse wheel.

Show information for a parameter:

  • Click on a column in the monthly report.
  • The information entered in the [Module Settings] and [TAB General] will be displayed in Info window in the bottom left corner.

The input box (properties)

  • Is the column a counter (type), then the input box is automatically filled with the last counter value.
  • Otherwise the input box can be filled with the default value, which you have set in the module 'settings'.
  • Would you like to extend the selection (digits), press the ALT key repeatedly.
  • Now enter data and confirm with Enter.
  • The input box will automatically move to the next column.
  • Moving the box down, instead to the right, please hold down the ALT key while you press the Enter key.
  • Data is automatically saved when the Enter key is pressed.

Limits (exceedances)

  • If exceeded, then this value is shown in color.
  • Limits for each parameter, you can specify in the module 'settings'.

Gray columns

  • Gray columns are calculated columns is in the monthly report
  • Important Note!
    The operating journal only calculated the current cell, where the input field is visible.     Cells, which dependent, are not calculated (updated). These cells, you must manually change. Doubleclick in the dependent grey cell. The correct value is then calculated and displayed immediately.

Display parameter information:

  • When you click in a parameter-column, the parameter informations is displayed in the Monthly report on the bottom left.

    This information can be set in the module [Settings].
    In the tab 'Generally' under 'Notes to the parameter', you can find the parameter informations.

Print out the Monthly Report:

  • Click on the printer icon at the top right.
  • The Print dialog appears. Here you can set the printer properties for the current report.

Report presentation:

The selected report (table) can be represented in 3 different ways.

Data / parameter, D / P:

  • The date is displayed in the left margin
  • The parameters are arranged in the top right.

Parameter / date, P / D:

  • The parameters are displayed in the left margin
  • The date is arranged in the top right.

Evaluation:

  • The monthly report is evaluated and the summary is displayed in a table.

Recalculate the formula columns:

  • If you want to recalculate all gray columns of the report, then click this button [image] .
    Note: There are only recalculated EMPTY gray formula cell.


Annual report

Data input into the annual report

  • Data input into the annual report is only possible in the '365-day report'.
  • In the annual report, only data will be analyzed and summarized.

Create a new annual report

  • Click on [image] to load the 'report creation window'.
  • Choose from the left parameter-list the required parameters.
    Note: The general properties of the parameters are set in the
    module     [Settings, Setup].

Tip!
Hold down the Shift or Ctrl key, to multiple select parameters.

  • Click on this [image] button to copy the parameters to the right list.
  • Each parameter in the right report list also appears in the annual report.
  • Change the order of the parameters by selecting one or more parameters and then click one of this [image] button.
  • Finally enter a short descriptive name for the report
    Click [Save]

Change an annual report

  • Click [image] to open the selected report.
    Here, in the right window, you can add parameters, remove or change their order.

    Note:         It does not delete data by changing the report, it only changes the report form.
  • Click [Save]

Delete an annual report
  • Click [image] to delete the selected report.

    Note: It does not delete data by changing the report, but it only delete the report form.

Annual Report Preferences

  • Open the module 'settings, tab reports' to adjust the settings of the parameters.

Report presentation:

The selected report (table) can be represented in 4 different ways.

365 days report:

  • Is like a monthly report.
  • There are now 365 days presented in the report.

12 months report:

  • In the module [Settings, Tab Setup, TAB reports] you can choose, which columns to display in the annual report for each parameter.
  • Each hook is represented as a column in '12 months report '.
  • Below table shows the annual evaluation
    => sums, min, average, max- values, etc.

Report for wastewater treatment plants:

  • Like the 12-month report.
  • In addition is displayed (below the annual table) a special report for waste water treatment plants

Evaluation:

  • The annual report is evaluated and the summary is displayed in a table.


Connect to data sources, Datalogger

General data logger settings

Please select a topic ...


Datalogger general functions

The data logger can read data files, and transfer these data in the operating log.
The process of data acquisition can be automated.
Data files must be provided and updated by a process control system, data logger, etc.

These data connections are possible

  • Connection to
    Textfiles *.csv, *.txt
    Access *.mdb databases
    Excel *.xls files

  • Start the Datalogger always by the operating log.
  • The current operating log is then displayed on the top left in the data logger.
  • All the parameters of this operation log are listed in the parameter list on the left.
  • Only in this operating log the external data will imported.
  • In data logger, a 'short help' is available. Here you can find a summary of the most important settings.
  • With some entries, a short help is displayed, when you move the mouse over the desired area.

Setting the 'read out'

At this time, the source files are opened, and the data are transfered into the operating log.

  • Click on the [TAB output].
  • Now. you can switch the timing on or off.

Time control [off]

  • If the time control is turned off, you must click manually the button [Start reading immediately]
  • Now all data is read from the source files and transferred into the operating log.

Time control [on]

  • If the time control is turned on, then the Datenloger must always remain open.
  • In this case, you can minimize the program near the Windows clock.
  • Just click on the button [Shrink in notification area].

Data logger options:

  • Click the Tab 'Settings'
  • Select a hook at the desired function.


csv, txt Files

Connect the operating log to a *.csv or *.txt text file.

  • There are 3 variants.
    Type1, Type2 and Type3
  • Set the data separator, which the data is separated. (e.g. ';' or ',' )

Type 1

  • Every day is stored in a separate row.
  • The parameters are arranged in columns.
  • The desired value is stored in the day-row in the parameter-column.
  • The date is present in the file, or also in the file name.

Column: 1 2 3 4 5

Type 2

  • The file is stored only one day.
  • The parameters are arranged in rows.
  • The desired value is stored in the parameter row, but in a different column.
  • The date is present in the file, or also in the file name.

Column: 1 2 3 4 5 6

Type 3

  • Here a whole month is stored in the file.
  • The parameters are arranged in rows.
  • The days of the month, 1 to 31, are arranged in columns.
  • Beginning from the 1st day column

Column: 1 2 3 4 5 6... ...35 36

Now some examples, to configure the data logger for CSV connection.

Example 1 - CSV type 1

  • Click on the tab text file (csv).
  • Activate the hook at the desired parameters in the left list.
  • Click next on the parameter-name, so that the input area is loaded.
  • Select from the drop down box type, 'csv_1'
  • Thus, the required input fields are set and activated.
  • Click on the folder icon, to browse the source file by using a file dialog.
  • Select the appropriate radio button for the source file.

In this example, the file name is always the same name.
The filename is never modified by the process control system.

  • Enter in [date in row] the 0.
    Thus, the Data logger the correct date automatically searches themselves from the date column.
  • Enter in [date in column] the 1, because in the example, the date is in the first column.
  • Enter in [value in column] the 11, because in the example, the parameter value is in column 11.
  • Click [Save Settings].
  • Now you can test the connection to the data source.
  • Select the date. (It must of course be present in the source file.)
  • >> Click [Test].

If the calculated value is displayed, then all is OK and the set up correctly.

Example 2 - CSV type 3

In some source files, the 'file date' is included in some form in the file name.

In this example the source file has the file name 'Report_09_2014.csv'.

Please note.
In the filename, the day-value and the month-value, always must have 2 digits occurring.

  • Enter the folder path by clicking on the folder icon.
    The data logger searches for the correct file itself automatically from this folder.
    (Date is in the file name)
  • Select the 3th radio button [source file contains the date in the file name...]

In this example, the month 'September 2014', is included
in the file name. (Report_09_2014.csv)

  • Enter the file identifier that the Datenloger can find the correct file from the folder.

    m, m, by month 09, so of September. (Month needs 2 digits!)
    y, y, y, y, year 2014
    x, for any text characters.

  • Enter in the box [File ID]:

xxxxxxx = 7 times the x for 'Report_'
mm = 2 times the m for '09'
x = 1 times the x for '_'
yyyy = 4 times the y for '2014'

The file extension (.csv) is automatically detected and can not be entered.

In the input field must now be entered:
xxxxxxxmmxyyyy (Report_09_2014)

Other settings:
You must now specify the position of the desired value within the source file.

  • The monthly columns 1 to 31, starting in the example shown in column 5 (the 1st day in month)
    Therefore, you must enter the '5'
  • The desired value of the parameter can be found on row 4.
  • Click [Save]

Now you can test the connection to the data source.

  • Select the date.
  • Click Test.

If the calculated value is displayed, then all is OK and the set up correctly.


Access Database

Connect an Access database

  • Click on the TAB database to connect an Access database
  • Select the type (*.mdb or *.accdb)
  • Enter the path to the database.
  • Enter the position of the value within the database.
  • Check the correct connection.
  • If a value is displayed, then the connection is correct. If not, then check all the settings again.


MS-Excel

Connect a MS-Excel-file

  • There are 2 variants.
    Type 1, Type 2

Click on the TAB MS-Excel to connect an MS-Excel-file

  • Select the type1 or type2 (*.xls or *.xlsx)
  • Enter the path to the file.
  • Enter the position of the value within the Excelsheet.
  • Check the correct connection.
  • If a value is displayed, then the connection is correct.
    If not, then check all the settings again.

Type 1

  • File Content: Only one day
  • There must be generated a new file daily.

Column: 1 2 3 4 5 6

Type 2

  • Each new day is appended

Column: 1 2 3 4 5


Modules for sewage plants

Please select a topic ...


Sewage treatment plant, settings

In the module settings, tab options, TAB WWTP
You can make the specific settings for sewage treatment plants.

Tab rated sizes.

  • This information should be completed, because many of the values required by the program.

Tab calculation method

  • Select the calculation method for your plant
  • Check the appropriate hooks.
  • Enter the N-period.
    N-values outside the period are not displayed in the annual report.

Tab sampling

  • In operating log should be a parameter column with the name 'sampling' be present.
  • This sampling column, you need to configure.
  • Just as the operating log can determine the time points of measurement.

Please note.
The marking of the sample type must be unique for each type.

At 2 h samples has proven itself:
2h

If you also want the time to be entered, for example, enter at the time '12-14' the minus sign '-'
Then, the operating log searches in the sampling column the '-' sign.
If found, this measurement is a 2h value.

At 24 h samples has proven itself:
24h

Tab others

  • If the settings of the oxygen demand level change, then you can register the changes here.

Finally, click on the [Save] button to save all your entries.


Extraneous water

If you have at least entered in the monthly report in the column 'extraneous water' an extraneous water value,
the extraneous water report is automatically filled and calculated.

Basic Settings in 'extraneous water module'.

  • The default values of 'extraneous water report' can be set with the [image] button.


Rating comparison

You can compare the results of this form with other wastewater treatment plants.

Evaluation period.

  • Select the evaluation period.
    Here you can choose the time period separately for nutrient load (N-load) and the hydraulic load.

  • Click 'Save settings' to save the print settings
  • Click Preview. The selected report appears in the print preview.


Modules for water treatment plants

Please select a topic ...


Analysis

In this module, the results of water analyzes are stored.

  • Click in module [Extra] on 'water treatment plant'
  • Click on the TAB [Analysis]

TAB preferences:

  • Click Settings
  • There are already many parameters configured.
    If a parameter is missing, you can create it here.
  • Click in the checkbox [Indicator with parameters]
  • Enter the 4-digit number parameter, then a space.
  • Then follows the parameter name.
    • Please note the format of the parameter name.
    • Click [Save]

TAB data entry:

You can now enter the data of an analysis.

  • Enter the date of analysis
  • Select the parameter from the list. e.g. 1021 temperature
  • Fill in all the fields of
    or select the settings from the 'pull-down' Fields.
  • Click [Save]
  • The analytical value of the parameter will appear in the table.
    Repeat these steps for all other parameters.

Filter the selected entry from the table

Analyses:

  • Displays the date of all analyzes

Analysis of:

  • Click in the table on an analysis date
    Then click on 'Analysis of'.

Parameters, sampling place, laboratory

  • If an analysis is displayed completely in the table, then select an entry of a parameter, a sample place or a laboratory.
  • Click on the appropriate radio button
  • Your selection will be displayed filtered.

All measurements

  • All measurements from all analyzes are displayed.


Wells and springs

In this module, all data of the wells and/or springs are stored.

TAB settings:

  • Click Settings
    Here you can enter the name of the wells and springs.
  • This name is then available on the other tabs in the selection fields.
  • Enter the type. (Well or spring)
  • Then, the required settings for the parameters are displayed.
  • Choose in the 'pull-down menu' the relevant columns from the monthly report.
  • -> Click [Save]